FreeBSD : NSS -- multiple vulnerabilities (4cb165f0-6e48-423e-8147-92255d35c0f7)

High Nessus Plugin ID 99553

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

Mozilla Foundation reports :

An out-of-bounds write during Base64 decoding operation in the Network Security Services (NSS) library due to insufficient memory being allocated to the buffer. This results in a potentially exploitable crash. The NSS library has been updated to fix this issue to address this issue and Firefox 53 has been updated with NSS version 3.29.5.

A flaw in DRBG number generation within the Network Security Services (NSS) library where the internal state V does not correctly carry bits over. The NSS library has been updated to fix this issue to address this issue and Firefox 53 has been updated with NSS version 3.29.5.

Solution

Update the affected packages.

See Also

https://hg.mozilla.org/projects/nss/rev/99a86619eac9

https://hg.mozilla.org/projects/nss/rev/e126381a3c29

http://www.nessus.org/u?61eb378b

Plugin Details

Severity: High

ID: 99553

File Name: freebsd_pkg_4cb165f06e48423e814792255d35c0f7.nasl

Version: 3.4

Type: local

Published: 2017/04/21

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:linux-c6-nss, p-cpe:/a:freebsd:freebsd:linux-c7-nss, p-cpe:/a:freebsd:freebsd:linux-f10-nss, p-cpe:/a:freebsd:freebsd:nss, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2017/04/19

Vulnerability Publication Date: 2017/03/17

Reference Information

CVE: CVE-2017-5461, CVE-2017-5462